#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: threads
version: 0.5.1.2
id: threads-0.5.1.2-13984b7f69962f1a6cbab0e108c12d9e

license: BSD3
copyright: 2010–2012 Bas van Dijk & Roel van Dijk
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
            Roel van Dijk <vandijk.roel@gmail.com>
stability: experimental
homepage: https://github.com/basvandijk/threads
package-url:
synopsis: Fork threads and wait for their result
description: This package provides functions to fork threads and
             wait for their result, whether it'\''s an exception or a
             normal value.
             .
             Besides waiting for the termination of a single thread
             this packages also provides functions to wait for a
             group of threads to terminate.
             .
             This package is similar to the
             @threadmanager@, @async@ and @spawn@ packages.
             The advantages of this package are:
             .
             * Simpler API.
             .
             * More efficient in both space and time.
             .
             * No space-leak when forking a large number of threads.
             .
             * Correct handling of asynchronous exceptions.
             .
             * GHC specific functionality like @forkOn@ and @forkIOWithUnmask@.
category: Concurrency
author: Bas van Dijk <v.dijk.bas@gmail.com>
        Roel van Dijk <vandijk.roel@gmail.com>
exposed: True
exposed-modules: Control.Concurrent.Thread
                 Control.Concurrent.Thread.Group
hidden-modules: Control.Concurrent.Raw
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/threads-0.5.1.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/threads-0.5.1.2
              /usr/local/lib
hs-libraries: HSthreads-0.5.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         base-unicode-symbols-0.2.2.4-2d1b4f27f371596b6f40783cd3b86284
         stm-2.4.2-29f719ec777dfbb9548ac2cdb8ccc3c6
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/threads-0.5.1.2/html/threads.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/threads-0.5.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
